Bug 80700 - RFE:Option to specify less number of column and row visible on new spreadsheet
Summary: RFE:Option to specify less number of column and row visible on new spreadsheet
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Options-Dialog Calc-Enhancements
  Show dependency treegraph
 
Reported: 2014-06-30 05:08 UTC by Biju
Modified: 2018-11-22 14:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Biju 2014-06-30 05:08:57 UTC
New spreadsheets are created with a million row and hundreds of columns.

But practically most time user don't need that many columns and rows.
And having that many cells is an annoyance as the focus can accidentally go to far away where there is no data. 

Can you please provide an option to automatically hide most rows when user create a new spreadsheet.

That is, something similar to entries at 
"Tools > Options... > LibreOffice Calc > Default > New Spreadsheet"

See attachment 101994 [details]
Comment 1 Joel Madero 2014-07-20 05:43:54 UTC
@Markus - any thoughts on this enhancement request? Is it reasonably possible?
Comment 2 Robinson Tryon (qubit) 2014-12-24 02:58:31 UTC
(In reply to Biju from comment #0)
> Can you please provide an option to automatically hide most rows when user
> create a new spreadsheet.
> 
> That is, something similar to entries at 
> "Tools > Options... > LibreOffice Calc > Default > New Spreadsheet"
> 
> See attachment 101994 [details]

Thanks for the mock-up. The idea sounds plausible, so Status -> NEW.
The Devs and UX can make further decisions.
Comment 3 Heiko Tietze 2018-11-20 10:55:50 UTC
I don't like the idea as a) it's not hard to go back when the cursor is at the very most bottom/right and b) setting some columns/rows back to visible isn't possible. I would abstain from this enhancement but we could ask the community.
Comment 4 Markus Mohrhard 2018-11-20 21:44:09 UTC
Will most likely not be implemented from a developer perspective. I think it will just cause us more issues as it introduces additional (soft) spreadsheet borders. Handling of the existing borders is already difficult enough.
Comment 5 Heiko Tietze 2018-11-22 14:16:37 UTC
Closing this issue as WONTFIX based on c3 and c4